Bug 1025773 - disk stays in "image locked" status long after action (snapshot preview) failure when all related task are gone from vdsm and engine
disk stays in "image locked" status long after action (snapshot preview) fail...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Lukas Svaty
sla
: Triaged
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-01 10:13 EDT by David Jaša
Modified: 2016-02-10 15:13 EST (History)
12 users (show)

See Also:
Fixed In Version: is25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20857 None None None Never
oVirt gerrit 20979 None None None Never
oVirt gerrit 21332 None None None Never
oVirt gerrit 21624 None None None Never

  None (edit)
Description David Jaša 2013-11-01 10:13:50 EDT
Description of problem:
I did a Preview snapshot of a VM and the action failed. The disk in question remained in "Image locked" state not just after the job/task was declared failed, but even after it was deleted from vdsm jobs and also from engine jobs.
It also took quite a long time before the jobs were deleted from vdsm and engine (but they eventually were purged so this is good).

The disk status should be changed to Active right after the job is no longer active instead.

Version-Release number of selected component (if applicable):
is19-is20.1

How reproducible:
the task failure that triggered the bug occurred just once

Steps to Reproduce:
1. make some async task on disk fail
2.
3.

Actual results:
the disk remains in "image locked" state forever

Expected results:
the disk status is cleared right after the job terminates in any way

Additional info:
Comment 1 David Jaša 2013-11-01 10:18:31 EDT
Created attachment 818297 [details]
engine logs
Comment 3 David Jaša 2013-11-01 10:32:23 EDT
just to be clear on jobs: bot "vdsClient -s 0 getAllTasks{Statuses,Info}" and GET /api/jobs show empty result...
Comment 7 Lukas Svaty 2013-11-15 08:31:47 EST
can u provide steps how to reproduce/verify this?
Comment 8 Gilad Chaplik 2013-11-17 10:19:42 EST
I'd like to select a different approach for solving this bug.
moving it back to assigned.
I will provide steps once the bug gets back to you 

Thanks
Comment 9 David Jaša 2013-11-25 07:40:12 EST
Is the fix supposed to release the "image locked" status of a disk that already got to the state or is it supposed just to prevent reaching such a condition?
Comment 10 Gilad Chaplik 2013-11-25 09:20:14 EST
(In reply to David Jaša from comment #9)
> Is the fix supposed to release the "image locked" status of a disk that
> already got to the state or is it supposed just to prevent reaching such a
> condition?

preventing.

(In reply to Lukas Svaty from comment #7)
> can u provide steps how to reproduce/verify this?

Add a quota to a disk, and create a snapshot.
move the DC to disabled quota mode, and remove the quota.
now try to preview the snapshot.
Comment 11 Lukas Svaty 2013-11-27 08:21:00 EST
tested on is25
Comment 12 Itamar Heim 2014-01-21 17:30:55 EST
Closing - RHEV 3.3 Released
Comment 13 Itamar Heim 2014-01-21 17:30:55 EST
Closing - RHEV 3.3 Released
Comment 14 Itamar Heim 2014-01-21 17:33:52 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.